Adds a regular star polygon to the document. Vertices alternate between being on circle, specified by the first radius, and begin on a concentric circle of the second radius.
Rhino.AddStarPolygon (arrPlane, dblRadius0, dblRadius1, intSides)
arrPlane |
Required. Array. The plane on which the star polygon will lie. The origin of the plane will be the center point of the star polygon. |
dblRadius0 |
Required. Number. The first radius of the star polygon. |
dblRadius1 |
Required. Number. The second radius of the star polygon. |
intSides |
Required. Number. The number of sides. The minimum number of sides is 3. |
String |
The identifier of the new object if successful. |
Null |
If not successful, or on error. |
Dim arrPlane, dblRadius0, dblRadius1, intSides
arrPlane = Rhino.WorldXYPlane
dblRadius0 = 5.0
dblRadius1 = 3.0
intSides = 8
Rhino.AddStarPolygon arrPlane, dblRadius0, dblRadius1, intSides